name: Playwright Tests
on: [push, pull_request]
jobs:
  test:
    runs-on: ubuntu-latest # Runner musí mít tento label
    steps:
      - uses: actions/checkout@v4
      - uses: actions/setup-node@v4
        with:
          node-version: 18
      - name: Install dependencies
        run: npm install
      - name: Install Playwright Browsers
        run: npx playwright install --with-deps
      - name: Run Playwright tests
        run: npx playwright test --project=chromium --project=firefox